Bug 109720 - [CI][BAT][guc] igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(!i915_request_completed(rq))
Summary: [CI][BAT][guc] igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(!i9...
Status: RESOLVED WONTFIX
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
: 110624 (view as bug list)
Depends on:
Blocks:
 
Reported: 2019-02-21 13:09 UTC by Martin Peres
Modified: 2019-05-28 11:16 UTC (History)
3 users (show)

See Also:
i915 platform: BXT
i915 features: firmware/guc


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-02-21 13:09:15 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2468/fi-apl-guc/igt@i915_selftest@live_execlists.html

<6> [413.636190] [drm] DRM_I915_DEBUG enabled
<6> [413.636193] [drm] DRM_I915_DEBUG_GEM enabled
<6> [413.636196] [drm] DRM_I915_DEBUG_RUNTIME_PM enabled
<6> [413.636204] i915: Performing live selftests with st_random_seed=0x1f62c66 st_timeout=1000
<7> [413.638615] [drm:intel_power_well_enable [i915]] enabling always-on
<7> [413.638834] [drm:intel_power_well_enable [i915]] enabling DC off
<7> [413.639216] [drm:gen9_set_dc_state [i915]] Setting DC state from 01 to 00
<6> [418.809676] Submitted 1115 crescendo:0 requests across 4 engines and 1024 contexts
<3> [419.582078] __retire_engine_request:189 GEM_BUG_ON(!i915_request_completed(rq))
<4> [419.582438] ------------[ cut here ]------------
<2> [419.582442] kernel BUG at drivers/gpu/drm/i915/i915_request.c:189!
<4> [419.582483] invalid opcode: 0000 [#1] PREEMPT SMP NOPTI
<4> [419.582498] CPU: 1 PID: 3329 Comm: i915_selftest Tainted: G     U            5.0.0-rc7-CI-CI_DRM_5645+ #1
<4> [419.582517] Hardware name: Intel corporation NUC6CAYS/NUC6CAYB, BIOS AYAPLCEL.86A.0056.2018.0926.1100 09/26/2018
<4> [419.582652] RIP: 0010:i915_request_retire+0x6e0/0xc70 [i915]
<4> [419.582666] Code: cf f7 c6 e0 48 8b 35 77 9d 1d 00 49 c7 c0 46 ff 5c a0 b9 bd 00 00 00 48 c7 c2 e0 3a 5b a0 48 c7 c7 8b 4e 4b a0 e8 80 8c cd e0 <0f> 0b 48 8b 43 40 49 89 c7 e8 52 e1 c7 e0 68 d2 4e 4b a0 31 f6 45
<4> [419.582702] RSP: 0018:ffffc9000050b928 EFLAGS: 00010282
<4> [419.582715] RAX: 000000000000000e RBX: ffff8881a4853040 RCX: 0000000000000000
<4> [419.582730] RDX: 0000000000000001 RSI: 0000000000000008 RDI: ffff88827699ef98
<4> [419.582745] RBP: ffffc9000050b960 R08: 0000000000099d9b R09: ffff888276265000
<4> [419.582759] R10: ffffc9000050b8b8 R11: ffff88827699ef98 R12: 0000000000000000
<4> [419.582774] R13: 0000000000000002 R14: ffff88825f3d2198 R15: ffff8881f8a68a70
<4> [419.582790] FS:  00007f3cef9de980(0000) GS:ffff888277a80000(0000) knlGS:0000000000000000
<4> [419.582807] CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
<4> [419.582820] CR2: 00007fc0491ae5a0 CR3: 0000000245032000 CR4: 00000000003406e0
<4> [419.582836] Call Trace:
<4> [419.582936]  i915_request_retire_upto+0x11a/0x300 [i915]
<4> [419.583034]  i915_request_add+0x399/0x990 [i915]
<4> [419.583134]  smoke_submit.isra.23+0x130/0x2b0 [i915]
<4> [419.583232]  live_preempt_smoke+0x354/0x470 [i915]
<4> [419.583337]  __i915_subtests+0x81/0x1e0 [i915]
<4> [419.583440]  __run_selftests+0x10b/0x190 [i915]
<4> [419.583538]  i915_live_selftests+0x2c/0x60 [i915]
<4> [419.583625]  i915_pci_probe+0x50/0xa0 [i915]
<4> [419.583641]  pci_device_probe+0xa1/0x130
<4> [419.583656]  really_probe+0xf3/0x3e0
<4> [419.583669]  driver_probe_device+0x10a/0x120
<4> [419.583681]  __driver_attach+0xdb/0x100
<4> [419.583693]  ? driver_probe_device+0x120/0x120
<4> [419.583706]  bus_for_each_dev+0x74/0xc0
<4> [419.583719]  bus_add_driver+0x15f/0x250
<4> [419.583730]  ? 0xffffffffa0114000
<4> [419.583741]  driver_register+0x56/0xe0
<4> [419.583751]  ? 0xffffffffa0114000
<4> [419.583762]  do_one_initcall+0x58/0x2e0
<4> [419.583774]  ? do_init_module+0x1d/0x1ea
<4> [419.583787]  ? rcu_read_lock_sched_held+0x6f/0x80
<4> [419.583800]  ? kmem_cache_alloc_trace+0x264/0x290
<4> [419.583814]  do_init_module+0x56/0x1ea
<4> [419.583826]  load_module+0x2718/0x29f0
<4> [419.583848]  ? __se_sys_finit_module+0xd3/0xf0
<4> [419.583859]  __se_sys_finit_module+0xd3/0xf0
<4> [419.583878]  do_syscall_64+0x55/0x190
<4> [419.583891]  entry_SYSCALL_64_after_hwframe+0x49/0xbe
<4> [419.583904] RIP: 0033:0x7f3cef2a3839
<4> [419.583914] Code: 00 f3 c3 66 2e 0f 1f 84 00 00 00 00 00 0f 1f 40 00 48 89 f8 48 89 f7 48 89 d6 48 89 ca 4d 89 c2 4d 89 c8 4c 8b 4c 24 08 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 1f f6 2c 00 f7 d8 64 89 01 48
<4> [419.583949] RSP: 002b:00007ffde3a090f8 EFLAGS: 00000246 ORIG_RAX: 0000000000000139
<4> [419.583967] RAX: ffffffffffffffda RBX: 0000557668c87e60 RCX: 00007f3cef2a3839
<4> [419.583982] RDX: 0000000000000000 RSI: 0000557668c88ed0 RDI: 0000000000000006
<4> [419.583997] RBP: 0000557668c88ed0 R08: 0000000000000004 R09: 0000557668c860e0
<4> [419.584012] R10: 00007ffde3a09270 R11: 0000000000000246 R12: 0000000000000000
<4> [419.584027] R13: 0000557668c87430 R14: 0000000000000020 R15: 0000000000000048
<4> [419.584049] Modules linked in: i915(+) amdgpu chash gpu_sched ttm vgem snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic x86_pkg_temp_thermal coretemp crct10dif_pclmul btusb btrtl btbcm btintel crc32_pclmul bluetooth ghash_clmulni_intel ecdh_generic lpc_ich r8169 realtek snd_hda_codec snd_hwdep snd_hda_core snd_pcm mei_me pinctrl_broxton pinctrl_intel mei prime_numbers [last unloaded: i915]
<0> [419.584140] Dumping ftrace buffer:
<0> [419.584150] ---------------------------------
<0> [419.584270] CPU:2 [LOST 1489073 EVENTS]
igt/smok-3727    2.... 418811443us : i915_request_add: rcs0 fence d653:12
<0> [419.584386] igt/smok-3727    2.... 418811457us : i915_request_retire_upto: rcs0 fence d653:10, global=2169, current 10:4358
<0> [419.584498] igt/smok-3727    2.... 418811459us : i915_request_retire: rcs0 fence d653:10, global=2169, current 10:4358
<0> [419.584608] igt/smok-3727    2.... 418811724us : i915_request_add: rcs0 fence d89d:8
<0> [419.584715] igt/smok-3727    2.... 418811799us : i915_request_retire_upto: rcs0 fence d89d:6, global=3340, current 6:4359
<0> [419.584826] igt/smok-3727    2.... 418811801us : i915_request_retire: rcs0 fence d89d:6, global=3340, current 6:4359
<0> [419.584936] igt/smok-3728    2.... 418813016us : i915_request_add: rcs0 fence d701:8
<0> [419.585042] igt/smok-3728    2.... 418813082us : i915_request_retire_upto: rcs0 fence d701:6, global=4092, current 6:4370
<0> [419.585154] igt/smok-3728    2.... 418813084us : i915_request_retire: rcs0 fence d701:6, global=4092, current 6:4370
<0> [419.585264] igt/smok-3728    2.... 418813206us : i915_request_add: rcs0 fence d6af:12
<0> [419.585370] igt/smok-3728    2.... 418813229us : i915_request_retire_upto: rcs0 fence d6af:10, global=4036, current 10:4371
<0> [419.585483] igt/smok-3728    2.... 418813231us : i915_request_retire: rcs0 fence d6af:10, global=4036, current 10:4371
<0> [419.585595] igt/smok-3728    2.... 418813756us : i915_request_add: rcs0 fence d8aa:10
<0> [419.585705] igt/smok-3728    2.... 418813781us : i915_request_retire_upto: rcs0 fence d8aa:8, global=1834, current 8:4376
<0> [419.585816] igt/smok-3728    2.... 418813783us : i915_request_retire: rcs0 fence d8aa:8, global=1834, current 8:4376
<0> [419.585926] igt/smok-3728    2.... 418813814us : i915_request_add: rcs0 fence d8d0:14
<0> [419.586034] igt/smok-3728    2.... 418813865us : i915_request_retire_upto: rcs0 fence d8d0:12, global=4301, current 12:4377
<0> [419.586147] igt/smok-3728    2.... 418813867us : i915_request_retire: rcs0 fence d8d0:12, global=4301, current 12:4377
<0> [419.586257] igt/smok-3728    2.... 418814210us : i915_request_add: rcs0 fence d69d:12
<0> [419.586366] igt/smok-3728    2d.s2 418814228us : __i915_request_submit: rcs0 fence d69d:12 -> global=4383, current 10:4381
<0> [419.586477] igt/smok-3728    2.... 418814271us : i915_request_retire_upto: rcs0 fence d69d:10, global=3522, current 10:4381
<0> [419.586588] igt/smok-3728    2.... 418814273us : i915_request_retire: rcs0 fence d69d:10, global=3522, current 10:4381
<0> [419.586699] igt/smok-3728    2.... 418815338us : i915_request_add: rcs0 fence d8ef:4
<0> [419.586805] igt/smok-3728    2.... 418815438us : i915_request_retire_upto: rcs0 fence d8ef:2, global=1652, current 2:4392
<0> [419.586916] igt/smok-3728    2.... 418815440us : i915_request_retire: rcs0 fence d8ef:2, global=1652, current 2:4392
<0> [419.587026] igt/smok-3728    2.... 418815539us : i915_request_add: rcs0 fence d5fd:6
<0> [419.587133] igt/smok-3728    2.... 418815576us : i915_request_retire_upto: rcs0 fence d5fd:4, global=1161, current 4:4392
<0> [419.587244] igt/smok-3728    2.... 418815578us : i915_request_retire: rcs0 fence d5fd:4, global=1161, current 4:4392
<0> [419.587354] igt/smok-3728    2.... 418815763us : i915_request_add: rcs0 fence d6db:8
<0> [419.587461] igt/smok-3728    2.... 418815826us : i915_request_retire_upto: rcs0 fence d6db:6, global=3039, current 6:4393
<0> [419.587574] igt/smok-3728    2.... 418815828us : i915_request_retire: rcs0 fence d6db:6, global=3039, current 6:4394
<0> [419.587686] igt/smok-3728    2.... 418816026us : i915_request_add: rcs0 fence d7a6:4
<0> [419.587793] igt/smok-3728    2.... 418816056us : i915_request_retire_upto: rcs0 fence d7a6:2, global=772, current 2:4395
<0> [419.587906] igt/smok-3728    2.... 418816057us : i915_request_retire: rcs0 fence d7a6:2, global=772, current 2:4395
<0> [419.588015] igt/smok-3729    2.... 418819980us : i915_request_add: rcs0 fence d67c:14
<0> [419.588122] igt/smok-3729    2.... 418820090us : i915_request_retire_upto: rcs0 fence d67c:12, global=3845, current 12:4429
<0> [419.588233] igt/smok-3729    2.... 418820092us : i915_request_retire: rcs0 fence d67c:12, global=3845, current 12:4429
<0> [419.588344] igt/smok-3729    2.... 418820195us : i915_request_add: rcs0 fence d978:12
<0> [419.588454] igt/smok-3729    2d.s2 418820253us : execlists_cancel_port_requests: rcs0:port0 global=4430 (fence d674:6), (current 4:4429)
<0> [419.588570] igt/smok-3729    2d.s2 418820256us : __i915_request_unsubmit: rcs0 fence d674:6 <- global=4430, current 4:4429
<0> [419.588682] igt/smok-3729    2d.s2 418820261us : __i915_request_submit: rcs0 fence d978:10 -> global=4430, current 8:4429
<0> [419.588793] igt/smok-3729    2d.s2 418820264us : __i915_request_submit: rcs0 fence d978:12 -> global=4431, current 8:4429
<0> [419.588904] igt/smok-3729    2d.s2 418820266us : __i915_request_submit: rcs0 fence d67c:14 -> global=4432, current 12:4429
<0> [419.589015] igt/smok-3729    2.... 418820299us : i915_request_add: rcs0 fence d9e5:4
<0> [419.589121] igt/smok-3729    2.... 418820329us : i915_request_retire_upto: rcs0 fence d9e5:2, global=4296, current 2:4429
<0> [419.589232] igt/smok-3729    2.... 418820331us : i915_request_retire: rcs0 fence d9e5:2, global=4296, current 2:4429
<0> [419.589342] igt/smok-3729    2.... 418820357us : i915_request_add: rcs0 fence d670:10
<0> [419.589449] igt/smok-3729    2.... 418820372us : i915_request_retire_upto: rcs0 fence d670:8, global=4341, current 8:4431
<0> [419.589562] igt/smok-3729    2.... 418820374us : i915_request_retire: rcs0 fence d670:8, global=4341, current 8:4431
<0> [419.589674] igt/smok-3729    2.... 418820389us : i915_request_retire: rcs0 fence d71a:12, global=4230, current 12:4432
<0> [419.589786] igt/smok-3729    2.... 418820410us : i915_request_add: rcs0 fence d71a:16
<0> [419.589892] igt/smok-3729    2.... 418821113us : i915_request_add: rcs0 fence d9e8:2
<0> [419.590000] igt/smok-3729    2.... 418821117us : i915_request_add: marking (null) as active
<0> [419.590106] igt/smok-3729    2.... 418821325us : i915_request_add: rcs0 fence d7dc:12
<0> [419.590212] igt/smok-3729    2.... 418821429us : i915_request_retire_upto: rcs0 fence d7dc:10, global=3554, current 10:4442
<0> [419.590325] igt/smok-3729    2.... 418821431us : i915_request_retire: rcs0 fence d7dc:10, global=3554, current 10:4442
<0> [419.590436] igt/smok-3729    2.... 418821659us : i915_request_add: rcs0 fence d807:10
<0> [419.590543] igt/smok-3729    2d.s2 418821685us : __i915_request_submit: rcs0 fence d807:10 -> global=4445, current 8:4444
<0> [419.590656] igt/smok-3729    2d.s2 418821688us : __i915_request_submit: rcs0 fence d7dc:12 -> global=4446, current 10:4444
<0> [419.590769] igt/smok-3729    2.... 418821712us : i915_request_retire_upto: rcs0 fence d807:8, global=3514, current 8:4444
<0> [419.590881] igt/smok-3729    2.... 418821714us : i915_request_retire: rcs0 fence d807:8, global=3514, current 8:4444
<0> [419.590991] igt/smok-3729    2.... 418821932us : i915_request_add: rcs0 fence d6b5:12
<0> [419.591097] igt/smok-3729    2.... 418821970us : i915_request_retire_upto: rcs0 fence d6b5:10, global=3289, current 10:4446
<0> [419.591209] igt/smok-3729    2.... 418821972us : i915_request_retire: rcs0 fence d6b5:10, global=3289, current 10:4446
<0> [419.591319] igt/smok-3729    2.... 418822099us : i915_request_add: rcs0 fence d89a:8
<0> [419.591425] igt/smok-3729    2.... 418822164us : i915_request_retire_upto: rcs0 fence d89a:6, global=1929, current 6:4448
<0> [419.591536] igt/smok-3729    2.... 418822166us : i915_request_retire: rcs0 fence d89a:6, global=1929, current 6:4448
<0> [419.591646] igt/smok-3729    2.... 418823191us : i915_request_add: rcs0 fence d951:6
<0> [419.591758] igt/smok-3729    2d.s2 418823273us : __i915_request_submit: rcs0 fence d951:6 -> global=4458, current 4:4457
<0> [419.591869] igt/smok-3729    2d.s2 418823285us : __i915_request_submit: rcs0 fence d85f:16 -> global=4459, current 14:4457
<0> [419.591980] igt/smok-3729    2.... 418823297us : i915_request_retire_upto: rcs0 fence d951:4, global=3573, current 4:4457
<0> [419.592091] igt/smok-3729    2.... 418823298us : i915_request_retire: rcs0 fence d951:4, global=3573, current 4:4457
<0> [419.592201] igt/smok-3729    2.... 418823330us : i915_request_add: rcs0 fence d731:6
<0> [419.592307] igt/smok-3729    2.... 418823364us : i915_request_retire_upto: rcs0 fence d731:4, global=2478, current 4:4458
<0> [419.592418] igt/smok-3729    2.... 418823365us : i915_request_retire: rcs0 fence d731:4, global=2478, current 4:4458
<0> [419.592529] igt/smok-3729    2.... 418823382us : i915_request_retire: rcs0 fence d892:10, global=4244, current 10:4458
<0> [419.592639] igt/smok-3729    2.... 418823403us : i915_request_add: rcs0 fence d892:14
<0> [419.592745] igt/smok-3729    2.... 418823415us : i915_request_retire_upto: rcs0 fence d892:12, global=4291, current 12:4459
<0> [419.592857] igt/smok-3729    2.... 418823417us : i915_request_retire: rcs0 fence d892:12, global=4291, current 12:4459
<0> [419.592967] igt/smok-3729    2.... 418823441us : i915_request_add: rcs0 fence d642:12
<0> [419.593075] igt/smok-3729    2.... 418823454us : i915_request_retire_upto: rcs0 fence d642:10, global=3714, current 10:4459
<0> [419.593187] igt/smok-3729    2.... 418823455us : i915_request_retire: rcs0 fence d642:10, global=3714, current 10:4459
<0> [419.593297] igt/smok-3729    2.... 418823651us : i915_request_add: rcs0 fence d987:10
<0> [419.593403] igt/smok-3729    2d.s2 418823754us : __i915_request_submit: rcs0 fence d987:10 -> global=4462, current 8:4461
<0> [419.593515] igt/smok-3729    2d.s2 418823767us : __i915_request_submit: rcs0 fence d892:14 -> global=4463, current 12:4461
<0> [419.593628] igt/smok-3729    2.... 418824006us : i915_request_retire_upto: rcs0 fence d987:8, global=3276, current 8:4463
<0> [419.593739] igt/smok-3729    2.... 418824008us : i915_request_retire: rcs0 fence d987:8, global=3276, current 8:4463
<0> [419.593849] igt/smok-3729    2.... 418825851us : i915_request_add: rcs0 fence d9cf:8
<0> [419.593958] igt/smok-3729    2d.s2 418825888us : execlists_cancel_port_requests: rcs0:port0 global=4486 (fence d926:14), (current 12:4485)
<0> [419.594071] igt/smok-3729    2d.s2 418825892us : __i915_request_unsubmit: rcs0 fence d926:14 <- global=4486, current 12:4485
<0> [419.594183] igt/smok-3729    2d.s2 418825898us : __i915_request_submit: rcs0 fence d9cf:4 -> global=4486, current 2:4485
<0> [419.594295] igt/smok-3729    2d.s2 418825901us : __i915_request_submit: rcs0 fence d9cf:6 -> global=4487, current 2:4485
<0> [419.594406] igt/smok-3729    2d.s2 418825904us : __i915_request_submit: rcs0 fence d9cf:8 -> global=4488, current 2:4485
<0> [419.594518] igt/smok-3729    2d.s2 418825916us : __i915_request_submit: rcs0 fence d9e9:2 -> global=4489, current 0:4485
<0> [419.594629] igt/smok-3729    2.... 418826090us : i915_request_add: rcs0 fence d96a:8
<0> [419.594735] igt/smok-3729    2.... 418826162us : i915_request_retire_upto: rcs0 fence d96a:6, global=4337, current 6:4488
<0> [419.594846] igt/smok-3729    2.... 418826164us : i915_request_retire: rcs0 fence d96a:6, global=4337, current 6:4488
<0> [419.594956] igt/smok-3729    2.... 418826300us : i915_request_add: rcs0 fence d70d:10
<0> [419.595062] igt/smok-3729    2.... 418826337us : i915_request_retire_upto: rcs0 fence d70d:8, global=2251, current 8:4489
<0> [419.595181] igt/smok-3729    2.... 418826339us : i915_request_retire: rcs0 fence d70d:8, global=2251, current 8:4489
<0> [419.595292] igt/smok-3729    2.... 418828008us : i915_request_add: rcs0 fence d9a1:6
<0> [419.595399] igt/smok-3729    2.... 418828095us : i915_request_retire_upto: rcs0 fence d9a1:4, global=3739, current 4:4501
<0> [419.595519] igt/smok-3729    2.... 418828098us : i915_request_retire: rcs0 fence d9a1:4, global=3739, current 4:4501
<0> [419.595629] igt/smok-3729    2.... 418828341us : i915_request_add: rcs0 fence d8a7:6
<0> [419.595735] igt/smok-3729    2.... 418828565us : i915_request_add: rcs0 fence d843:12
<0> [419.595841] igt/smok-3729    2.... 418828598us : i915_request_retire_upto: rcs0 fence d843:10, global=4279, current 10:4503
<0> [419.595954] igt/smok-3729    2.... 418828600us : i915_request_retire: rcs0 fence d843:10, global=4279, current 10:4503
<0> [419.596066] igt/smok-3729    2.... 418828709us : i915_request_add: rcs0 fence d91c:8
<0> [419.596172] igt/smok-3729    2.... 418828758us : i915_request_retire_upto: rcs0 fence d91c:6, global=4289, current 6:4505
<0> [419.596284] igt/smok-3729    2.... 418828760us : i915_request_retire: rcs0 fence d91c:6, global=4289, current 6:4505
<0> [419.596467] igt/smok-3729    2.... 418828891us : i915_request_add: rcs0 fence d7a6:6
<0> [419.596574] igt/smok-3729    2.... 418829002us : i915_request_retire_upto: rcs0 fence d7a6:4, global=4398, current 4:4506
<0> [419.596685] igt/smok-3729    2.... 418829003us : i915_request_retire: rcs0 fence d7a6:4, global=4398, current 4:4506
<0> [419.596796] igt/smok-3729    2.... 418829063us : i915_request_retire: rcs0 fence d8d1:6, global=4364, current 6:4507
<0> [419.596906] igt/smok-3729    2.... 418829125us : i915_request_add: rcs0 fence d8d1:10
<0> [419.597012] igt/smok-3729    2.... 418829142us : i915_request_retire_upto: rcs0 fence d8d1:8, global=4381, current 8:4507
<0> [419.597123] igt/smok-3729    2.... 418829143us : i915_request_retire: rcs0 fence d8d1:8, global=4381, current 8:4507
<0> [419.597240] CPU:0 [LOST 338639 EVENTS]
igt/smok-3727    0.... 418829247us : i915_request_retire: __retire_engine_request(rcs0) fence d71a:16, global=4436, current 16:4507
<0> [419.597365] igt/smok-3727    0.... 418829292us : i915_request_retire: __retire_engine_request(rcs0) fence d674:6, global=4437, current 6:4507
<0> [419.597480] igt/smok-3727    0.... 418829296us : i915_request_retire: __retire_engine_request(rcs0) fence d966:8, global=4438, current 8:4507
<0> [419.597594] igt/smok-3727    0.... 418829301us : i915_request_retire: __retire_engine_request(rcs0) fence d996:6, global=4439, current 6:4507
<0> [419.597708] igt/smok-3727    0.... 418829305us : i915_request_retire: __retire_engine_request(rcs0) fence d9b8:8, global=4440, current 8:4507
<0> [419.597822] igt/smok-3727    0.... 418829339us : i915_request_retire: __retire_engine_request(rcs0) fence d915:12, global=4441, current 12:4507
<0> [419.597937] igt/smok-3727    0.... 418829343us : i915_request_retire: __retire_engine_request(rcs0) fence d7d3:8, global=4442, current 8:4507
<0> [419.598051] igt/smok-3727    0.... 418829348us : i915_request_retire: __retire_engine_request(rcs0) fence d9e8:2, global=4443, current 2:4507
<0> [419.598167] igt/smok-3727    0.... 418829352us : i915_request_retire: __retire_engine_request(rcs0) fence d890:6, global=4444, current 6:4507
<0> [419.598283] igt/smok-3727    0.... 418829411us : i915_request_retire: __retire_engine_request(rcs0) fence d807:10, global=4445, current 10:4507
<0> [419.598398] igt/smok-3727    0.... 418829415us : i915_request_retire: __retire_engine_request(rcs0) fence d7dc:12, global=4446, current 12:4507
<0> [419.598513] igt/smok-3727    0.... 418829419us : i915_request_retire: __retire_engine_request(rcs0) fence d8d2:8, global=4447, current 8:4507
<0> [419.598627] igt/smok-3727    0.... 418829423us : i915_request_retire: __retire_engine_request(rcs0) fence d9ba:8, global=4448, current 8:4507
<0> [419.598742] igt/smok-3727    0.... 418829427us : i915_request_retire: __retire_engine_request(rcs0) fence d6b5:12, global=4449, current 12:4507
<0> [419.598857] igt/smok-3727    0.... 418829431us : i915_request_retire: __retire_engine_request(rcs0) fence d89a:8, global=4450, current 8:4507
<0> [419.598972] igt/smok-3727    0.... 418829435us : i915_request_retire: __retire_engine_request(rcs0) fence d9dc:4, global=4451, current 6:4507
<0> [419.599086] igt/smok-3727    0.... 418829439us : i915_request_retire: __retire_engine_request(rcs0) fence d9dc:6, global=4452, current 6:4507
<0> [419.599201] igt/smok-3727    0.... 418829442us : i915_request_retire: __retire_engine_request(rcs0) fence d842:14, global=4453, current 14:4507
<0> [419.599316] igt/smok-3727    0.... 418829446us : i915_request_retire: __retire_engine_request(rcs0) fence d889:14, global=4454, current 14:4508
<0> [419.599431] igt/smok-3727    0.... 418829451us : i915_request_retire: __retire_engine_request(rcs0) fence d7b7:8, global=4455, current 8:4508
<0> [419.599551] igt/smok-3727    0.... 418829454us : i915_request_retire: __retire_engine_request(rcs0) fence d858:8, global=4456, current 8:4508
<0> [419.599665] igt/smok-3727    0.... 418829458us : i915_request_retire: __retire_engine_request(rcs0) fence d68e:8, global=4457, current 8:4508
<0> [419.599779] igt/smok-3727    0.... 418829462us : i915_request_retire: __retire_engine_request(rcs0) fence d951:6, global=4458, current 6:4508
<0> [419.599892] igt/smok-3729    2.... 418829490us : i915_request_add: rcs0 fence d7c6:6
<0> [419.599999] igt/smok-3729    2.... 418829551us : i915_request_retire_upto: rcs0 fence d7c6:4, global=3691, current 4:4509
<0> [419.600110] igt/smok-3729    2.... 418829553us : i915_request_retire: rcs0 fence d7c6:4, global=3691, current 4:4509
<0> [419.600220] igt/smok-3728    0.... 418829853us : i915_request_add: rcs0 fence d8e0:8
<0> [419.600326] igt/smok-3728    0d.s2 418830035us : __i915_request_submit: rcs0 fence d8e0:6 -> global=4514, current 4:4513
<0> [419.600437] igt/smok-3728    0d.s2 418830039us : __i915_request_submit: rcs0 fence d8e0:8 -> global=4515, current 4:4513
<0> [419.600548] igt/smok-3728    0d.s2 418830056us : __i915_request_submit: rcs0 fence d673:6 -> global=4516, current 4:4513
<0> [419.600659] igt/smok-3728    0.... 418830114us : i915_request_add: rcs0 fence d6f8:16
<0> [419.600765] igt/smok-3728    0.... 418830158us : i915_request_retire_upto: rcs0 fence d6f8:14, global=4182, current 14:4515
<0> [419.600876] igt/smok-3728    0.... 418830160us : i915_request_retire: rcs0 fence d6f8:14, global=4182, current 14:4515
<0> [419.600989] igt/smok-3727    0.... 418831186us : i915_request_retire: rcs0 fence d962:10, global=4496, current 12:4527
<0> [419.601100] igt/smok-3727    0.... 418831191us : i915_request_retire: __retire_engine_request(rcs0) fence d85f:16, global=4459, current 16:4527
<0> [419.601214] igt/smok-3727    0.... 418831197us : i915_request_retire: __retire_engine_request(rcs0) fence d731:6, global=4460, current 6:4527
<0> [419.601328] igt/smok-3727    0.... 418831201us : i915_request_retire: __retire_engine_request(rcs0) fence d642:12, global=4461, current 12:4527
<0> [419.601443] igt/smok-3727    0.... 418831204us : i915_request_retire: __retire_engine_request(rcs0) fence d987:10, global=4462, current 10:4527
<0> [419.601558] igt/smok-3727    0.... 418831208us : i915_request_retire: __retire_engine_request(rcs0) fence d892:14, global=4463, current 14:4527
<0> [419.601674] igt/smok-3727    0.... 418831212us : i915_request_retire: __retire_engine_request(rcs0) fence d957:4, global=4464, current 4:4527
<0> [419.601790] igt/smok-3727    0.... 418831216us : i915_request_retire: __retire_engine_request(rcs0) fence d92b:14, global=4465, current 14:4527
<0> [419.601906] igt/smok-3727    0.... 418831220us : i915_request_retire: __retire_engine_request(rcs0) fence d6ee:18, global=4466, current 18:4527
<0> [419.602020] igt/smok-3727    0.... 418831223us : i915_request_retire: __retire_engine_request(rcs0) fence d60e:8, global=4467, current 8:4527
<0> [419.602135] igt/smok-3727    0.... 418831227us : i915_request_retire: __retire_engine_request(rcs0) fence d94b:8, global=4468, current 8:4527
<0> [419.602249] igt/smok-3727    0.... 418831231us : i915_request_retire: __retire_engine_request(rcs0) fence d6e2:12, global=4469, current 12:4527
<0> [419.602363] igt/smok-3727    0.... 418831235us : i915_request_retire: __retire_engine_request(rcs0) fence d8ff:16, global=4470, current 16:4527
<0> [419.602478] igt/smok-3727    0.... 418831296us : i915_request_retire: __retire_engine_request(rcs0) fence d770:16, global=4471, current 16:4527
<0> [419.602592] igt/smok-3727    0.... 418831300us : i915_request_retire: __retire_engine_request(rcs0) fence d93f:8, global=4472, current 8:4527
<0> [419.602706] igt/smok-3727    0.... 418831303us : i915_request_retire: __retire_engine_request(rcs0) fence d805:6, global=4473, current 6:4527
<0> [419.602820] igt/smok-3727    0.... 418831307us : i915_request_retire: __retire_engine_request(rcs0) fence d765:10, global=4474, current 10:4527
<0> [419.602935] igt/smok-3727    0.... 418831311us : i915_request_retire: __retire_engine_request(rcs0) fence d7e9:8, global=4475, current 10:4527
<0> [419.603053] igt/smok-3727    0.... 418831316us : i915_request_retire: __retire_engine_request(rcs0) fence d7e9:10, global=4476, current 10:4527
<0> [419.603168] igt/smok-3727    0.... 418831319us : i915_request_retire: __retire_engine_request(rcs0) fence d85c:8, global=4477, current 8:4527
<0> [419.603282] igt/smok-3727    0.... 418831323us : i915_request_retire: __retire_engine_request(rcs0) fence d893:4, global=4478, current 4:4527
<0> [419.603396] igt/smok-3727    0.... 418831327us : i915_request_retire: __retire_engine_request(rcs0) fence d69e:10, global=4479, current 10:4527
<0> [419.603510] igt/smok-3727    0.... 418831330us : i915_request_retire: __retire_engine_request(rcs0) fence d852:10, global=4480, current 10:4527
<0> [419.603625] igt/smok-3727    0.... 418831334us : i915_request_retire: __retire_engine_request(rcs0) fence d6be:8, global=4481, current 10:4527
<0> [419.603739] igt/smok-3727    0.... 418831338us : i915_request_retire: __retire_engine_request(rcs0) fence d6be:10, global=4482, current 10:4527
<0> [419.603854] igt/smok-3727    0.... 418831342us : i915_request_retire: __retire_engine_request(rcs0) fence d615:10, global=4483, current 12:4527
<0> [419.603968] igt/smok-3727    0.... 418831345us : i915_request_retire: __retire_engine_request(rcs0) fence d615:12, global=4484, current 12:4527
<0> [419.604083] igt/smok-3727    0.... 418831349us : i915_request_retire: __retire_engine_request(rcs0) fence d604:14, global=4485, current 14:4528
<0> [419.604197] igt/smok-3727    0.... 418831353us : i915_request_retire: __retire_engine_request(rcs0) fence d9cf:4, global=4486, current 8:4528
<0> [419.604311] igt/smok-3727    0.... 418831356us : i915_request_retire: __retire_engine_request(rcs0) fence d9cf:6, global=4487, current 8:4528
<0> [419.604426] igt/smok-3727    0.... 418831360us : i915_request_retire: __retire_engine_request(rcs0) fence d9cf:8, global=4488, current 8:4528
<0> [419.604540] igt/smok-3727    0.... 418831363us : i915_request_retire: __retire_engine_request(rcs0) fence d9e9:2, global=4489, current 2:4528
<0> [419.604656] igt/smok-3727    0.... 418831367us : i915_request_retire: __retire_engine_request(rcs0) fence d96a:8, global=4490, current 8:4528
<0> [419.604770] igt/smok-3727    0.... 418831371us : i915_request_retire: __retire_engine_request(rcs0) fence d926:14, global=4491, current 14:4528
<0> [419.604885] igt/smok-3727    0.... 418831374us : i915_request_retire: __retire_engine_request(rcs0) fence d70d:10, global=4492, current 10:4528
<0> [419.604999] igt/smok-3727    0.... 418831378us : i915_request_retire: __retire_engine_request(rcs0) fence d668:10, global=4493, current 10:4528
<0> [419.605114] igt/smok-3727    0.... 418831382us : i915_request_retire: __retire_engine_request(rcs0) fence d688:12, global=4494, current 12:4528
<0> [419.605228] igt/smok-3727    0.... 418831386us : i915_request_retire: __retire_engine_request(rcs0) fence d69c:20, global=4495, current 20:4529
<0> [419.605344] igt/smok-3727    0.... 418831389us : i915_request_retire: __retire_engine_request(rcs0) fence d962:10, global=4496, current 12:4529
<0> [419.605458] igt/smok-3727    0.... 418831416us : i915_request_add: rcs0 fence d962:14
<0> [419.605565] igt/smok-3727    0d.s2 418831444us : __i915_request_submit: rcs0 fence d962:14 -> global=4530, current 12:4529
<0> [419.605676] igt/smok-3727    0d.s2 418831457us : __i915_request_submit: rcs0 fence d653:12 -> global=4531, current 10:4529
<0> [419.605788] igt/smok-3727    0.... 418831469us : i915_request_retire_upto: rcs0 fence d962:12, global=4497, current 12:4529
<0> [419.605899] igt/smok-3727    0.... 418831470us : i915_request_retire: rcs0 fence d962:12, global=4497, current 12:4529
<0> [419.606010] igt/smok-3727    0.... 418831472us : i915_request_retire: __retire_engine_request(rcs0) fence d962:12, global=4497, current 12:4529
<0> [419.606124] igt/smok-3727    0.... 418831505us : i915_request_add: rcs0 fence d7ab:16
<0> [419.606230] igt/smok-3729    2.... 418831625us : i915_request_add: rcs0 fence d8f8:4
<0> [419.606336] igt/smok-3729    2.... 418831667us : i915_request_retire_upto: rcs0 fence d8f8:2, global=1684, current 2:4531
<0> [419.606448] igt/smok-3729    2.... 418831669us : i915_request_retire: rcs0 fence d8f8:2, global=1684, current 2:4531
<0> [419.606559] igt/smok-3727    0.... 418831715us : i915_request_add: rcs0 fence d839:18
<0> [419.606665] igt/smok-3729    2.... 418831815us : i915_request_add: rcs0 fence d8c5:14
<0> [419.606773] igt/smok-3729    2.... 418831870us : i915_request_retire_upto: rcs0 fence d8c5:12, global=3601, current 12:4534
<0> [419.606884] igt/smok-3729    2.... 418831872us : i915_request_retire: rcs0 fence d8c5:12, global=3601, current 12:4534
<0> [419.606994] igt/smok-3728    0.... 418831968us : i915_request_add: rcs0 fence d7be:18
<0> [419.607100] igt/smok-3728    0.... 418831994us : i915_request_retire_upto: rcs0 fence d7be:16, global=4299, current 16:4534
<0> [419.607212] igt/smok-3728    0.... 418831996us : i915_request_retire: rcs0 fence d7be:16, global=4299, current 16:4534
<0> [419.607322] igt/smok-3729    2.... 418832026us : i915_request_add: rcs0 fence d6c7:14
<0> [419.607429] igt/smok-3729    2.... 418832086us : i915_request_retire_upto: rcs0 fence d6c7:12, global=2535, current 12:4534
<0> [419.607541] igt/smok-3729    2.... 418832088us : i915_request_retire: rcs0 fence d6c7:12, global=2535, current 12:4534
<0> [419.607651] igt/smok-3727    0.... 418832667us : i915_request_add: rcs0 fence d7ed:8
<0> [419.607757] igt/smok-3727    0.... 418832703us : i915_request_retire_upto: rcs0 fence d7ed:6, global=3188, current 6:4540
<0> [419.607870] igt/smok-3727    0.... 418832705us : i915_request_retire: rcs0 fence d7ed:6, global=3188, current 6:4540
<0> [419.607980] igt/smok-3729    2.... 418832874us : i915_request_retire: rcs0 fence d6be:8, global=4481, current 8:4541
<0> [419.608090] igt/smok-3729    2.... 418832939us : i915_request_add: rcs0 fence d6be:12
<0> [419.608196] igt/smok-3729    2.... 418833024us : i915_request_retire_upto: rcs0 fence d6be:10, global=4482, current 10:4541
<0> [419.608308] igt/smok-3729    2.... 418833025us : i915_request_retire: rcs0 fence d6be:10, global=4482, current 10:4541
<0> [419.608418] igt/smok-3730    0.... 418833110us : i915_request_add: rcs0 fence d687:12
<0> [419.608524] igt/smok-3730    0.... 418833139us : i915_request_retire_upto: rcs0 fence d687:10, global=4125, current 10:4543
<0> [419.608635] igt/smok-3730    0.... 418833140us : i915_request_retire: rcs0 fence d687:10, global=4125, current 10:4543
<0> [419.608747] CPU:3 [LOST 625028 EVENTS]
  <idle>-0       3d.s2 419572666us : __i915_request_submit: vcs0 fence df47:2 -> global=823, current 0:822
<0> [419.608864]   <idle>-0       3d.s2 419572675us : __i915_request_submit: vcs0 fence df45:2 -> global=824, current 0:822
<0> [419.608975]   <idle>-0       3d.s2 419572698us : __i915_request_submit: vecs0 fence d9fc:4 -> global=823, current 2:822
<0> [419.609087]   <idle>-0       3d.s2 419572708us : __i915_request_submit: vecs0 fence df46:2 -> global=824, current 0:822
<0> [419.609199]   <idle>-0       3d.s2 419572725us : __i915_request_submit: rcs0 fence d8f9:16 -> global=5214, current 14:5212
<0> [419.609314]   <idle>-0       3d.s2 419573226us : execlists_cancel_port_requests: vecs0:port0 global=823 (fence d9fc:4), (current 2:822)
<0> [419.609429]   <idle>-0       3d.s2 419573232us : execlists_cancel_port_requests: vecs0:port1 global=824 (fence df46:2), (current 0:822)
<0> [419.609544]   <idle>-0       3d.s2 419573236us : __i915_request_unsubmit: vecs0 fence df46:2 <- global=824, current 0:822
<0> [419.609654]   <idle>-0       3d.s2 419573270us : __i915_request_unsubmit: vecs0 fence d9fc:4 <- global=823, current 2:822
<0> [419.609768]   <idle>-0       3d.s2 419573282us : __i915_request_submit: vecs0 fence dec8:4 -> global=823, current 2:822
<0> [419.609878]   <idle>-0       3d.s2 419573297us : __i915_request_submit: vecs0 fence d9fc:4 -> global=824, current 2:822
<0> [419.609990]   <idle>-0       3d.s2 419573742us : __i915_request_submit: rcs0 fence d6f2:12 -> global=5215, current 10:5213
<0> [419.610102]   <idle>-0       3d.s2 419573785us : __i915_request_submit: bcs0 fence dc53:4 -> global=827, current 2:826
<0> [419.610212]   <idle>-0       3d.s2 419573795us : __i915_request_submit: bcs0 fence dce8:4 -> global=828, current 2:826
<0> [419.610324]   <idle>-0       3d.s2 419573894us : __i915_request_submit: rcs0 fence d993:14 -> global=5216, current 12:5214
<0> [419.610434]   <idle>-0       3d.s2 419573985us : __i915_request_submit: vcs0 fence df52:2 -> global=825, current 0:824
<0> [419.610546]   <idle>-0       3d.s2 419573998us : __i915_request_submit: vcs0 fence df51:2 -> global=826, current 0:824
<0> [419.610656]   <idle>-0       3d.s2 419574683us : __i915_request_submit: rcs0 fence d895:14 -> global=5217, current 12:5215
<0> [419.610766]   <idle>-0       3d.s2 419574735us : __i915_request_submit: bcs0 fence df54:2 -> global=829, current 0:828
<0> [419.610876]   <idle>-0       3d.s2 419574756us : __i915_request_submit: vecs0 fence df53:2 -> global=825, current 0:824
<0> [419.610986]   <idle>-0       3d.s2 419574765us : __i915_request_submit: vecs0 fence df46:2 -> global=826, current 0:824
<0> [419.611098]   <idle>-0       3d.s2 419574790us : __i915_request_submit: rcs0 fence d8f4:10 -> global=5218, current 8:5216
<0> [419.611209]   <idle>-0       3d.s2 419575130us : __i915_request_submit: vcs0 fence dbf7:8 -> global=827, current 6:826
<0> [419.611318]   <idle>-0       3d.s2 419575165us : __i915_request_submit: vcs0 fence df42:2 -> global=828, current 0:826
<0> [419.611431]   <idle>-0       3d.s2 419575386us : execlists_cancel_port_requests: rcs0:port0 global=5217 (fence d895:14), (current 12:5216)
<0> [419.611547]   <idle>-0       3d.s2 419575389us : execlists_cancel_port_requests: rcs0:port1 global=5218 (fence d8f4:10), (current 8:5216)
<0> [419.611660]   <idle>-0       3d.s2 419575393us : __i915_request_unsubmit: rcs0 fence d8f4:10 <- global=5218, current 8:5216
<0> [419.611772]   <idle>-0       3d.s2 419575414us : __i915_request_unsubmit: rcs0 fence d895:14 <- global=5217, current 12:5216
<0> [419.611884]   <idle>-0       3d.s2 419575667us : __i915_request_submit: rcs0 fence d7c1:20 -> global=5217, current 18:5216
<0> [419.611999]   <idle>-0       3d.s2 419575677us : __i915_request_submit: rcs0 fence d895:14 -> global=5218, current 12:5216
<0> [419.612114]   <idle>-0       3d.s2 419575701us : execlists_cancel_port_requests: bcs0:port0 global=829 (fence df54:2), (current 0:828)
<0> [419.612228]   <idle>-0       3d.s2 419575704us : __i915_request_unsubmit: bcs0 fence df54:2 <- global=829, current 0:828
<0> [419.612340]   <idle>-0       3d.s2 419575718us : __i915_request_submit: bcs0 fence df56:2 -> global=829, current 0:828
<0> [419.612450]   <idle>-0       3d.s2 419575726us : __i915_request_submit: bcs0 fence df54:2 -> global=830, current 0:828
<0> [419.612564] igt_runn-993     3d.s3 419576128us : __i915_request_submit: vcs0 fence df57:2 -> global=829, current 0:827
<0> [419.612676] igt_runn-993     3d.s3 419576152us : __i915_request_submit: vcs0 fence df3e:2 -> global=830, current 0:828
<0> [419.612788] igt_runn-993     3d.s3 419576180us : __i915_request_submit: vecs0 fence df58:2 -> global=827, current 0:825
<0> [419.612900] igt_runn-993     3d.s3 419576202us : __i915_request_submit: vecs0 fence df3f:2 -> global=828, current 0:826
<0> [419.613012]   <idle>-0       3d.s2 419576677us : __i915_request_submit: rcs0 fence d79d:14 -> global=5219, current 12:5218
<0> [419.613124]   <idle>-0       3d.s2 419576715us : __i915_request_submit: rcs0 fence d8f4:10 -> global=5220, current 8:5218
<0> [419.613236]   <idle>-0       3d.s2 419577017us : __i915_request_submit: bcs0 fence df59:2 -> global=831, current 0:830
<0> [419.613347]   <idle>-0       3d.s2 419577070us : __i915_request_submit: vecs0 fence dbce:4 -> global=829, current 2:828
<0> [419.613458]   <idle>-0       3d.s2 419577085us : __i915_request_submit: vecs0 fence df55:2 -> global=830, current 0:828
<0> [419.613568]   <idle>-0       3d.s2 419577733us : __i915_request_submit: rcs0 fence d8de:14 -> global=5221, current 12:5219
<0> [419.613680]   <idle>-0       3d.s2 419577791us : __i915_request_submit: vecs0 fence df4a:2 -> global=831, current 0:830
<0> [419.613792]   <idle>-0       3d.s2 419577848us : __i915_request_submit: rcs0 fence d7e1:4 -> global=5222, current 2:5220
<0> [419.613906] ksoftirq-26      3d.s1 419578273us : __i915_request_submit: bcs0 fence df5b:2 -> global=832, current 0:831
<0> [419.614018]   <idle>-0       3d.s2 419578511us : __i915_request_submit: rcs0 fence d719:14 -> global=5223, current 12:5221
<0> [419.614130]   <idle>-0       3d.s2 419591838us : __i915_request_submit: rcs0 fence d76e:16 -> global=5236, current 14:5235
<0> [419.614245]   <idle>-0       3d.s2 419592521us : execlists_cancel_port_requests: vecs0:port0 global=846 (fence daa8:4), (current 2:845)
<0> [419.614357]   <idle>-0       3d.s2 419592528us : __i915_request_unsubmit: vecs0 fence daa8:4 <- global=846, current 2:845
<0> [419.614468]   <idle>-0       3d.s2 419592565us : __i915_request_submit: vecs0 fence dea1:4 -> global=846, current 2:845
<0> [419.614578]   <idle>-0       3d.s2 419592581us : __i915_request_submit: vecs0 fence daa8:4 -> global=847, current 2:845
<0> [419.614688]   <idle>-0       3d.s2 419593358us : __i915_request_submit: vcs0 fence df78:2 -> global=848, current 0:847
<0> [419.614798]   <idle>-0       3d.s2 419593691us : __i915_request_submit: rcs0 fence d7bd:14 -> global=5238, current 12:5237
<0> [419.614909]   <idle>-0       3d.s2 419593728us : __i915_request_submit: rcs0 fence d96d:12 -> global=5239, current 10:5237
<0> [419.615019]   <idle>-0       3d.s2 419594043us : __i915_request_submit: vecs0 fence debc:4 -> global=848, current 2:847
<0> [419.615130]   <idle>-0       3d.s2 419594810us : __i915_request_submit: vecs0 fence df7b:2 -> global=849, current 0:848
<0> [419.615240]   <idle>-0       3d.s2 419595426us : __i915_request_submit: rcs0 fence d79a:18 -> global=5240, current 16:5239
<0> [419.615350]   <idle>-0       3d.s2 419595442us : __i915_request_submit: rcs0 fence d755:10 -> global=5241, current 8:5239
<0> [419.615463]   <idle>-0       3d.s2 419595466us : execlists_cancel_port_requests: vecs0:port0 global=849 (fence df7b:2), (current 0:848)
<0> [419.615577]   <idle>-0       3d.s2 419595470us : __i915_request_unsubmit: vecs0 fence df7b:2 <- global=849, current 0:848
<0> [419.615688]   <idle>-0       3d.s2 419595487us : __i915_request_submit: vecs0 fence dd27:4 -> global=849, current 2:848
<0> [419.615802]   <idle>-0       3d.s2 419595497us : __i915_request_submit: vecs0 fence df7b:2 -> global=850, current 0:848
<0> [419.615915]   <idle>-0       3d.s2 419595586us : execlists_cancel_port_requests: bcs0:port0 global=850 (fence da0c:6), (current 4:849)
<0> [419.616028]   <idle>-0       3d.s2 419595589us : __i915_request_unsubmit: bcs0 fence da0c:6 <- global=850, current 4:849
<0> [419.616139]   <idle>-0       3d.s2 419595643us : __i915_request_submit: bcs0 fence df7d:2 -> global=850, current 0:849
<0> [419.616249]   <idle>-0       3d.s2 419595653us : __i915_request_submit: bcs0 fence da0c:6 -> global=851, current 4:849
<0> [419.616381]   <idle>-0       3d.s2 419596015us : execlists_cancel_port_requests: vcs0:port0 global=850 (fence df7c:2), (current 0:849)
<0> [419.616519]   <idle>-0       3d.s2 419596019us : __i915_request_unsubmit: vcs0 fence df7c:2 <- global=850, current 0:849
<0> [419.616630]   <idle>-0       3d.s2 419596080us : __i915_request_submit: vcs0 fence df7e:2 -> global=850, current 0:849
<0> [419.616740]   <idle>-0       3d.s2 419596090us : __i915_request_submit: vcs0 fence df7c:2 -> global=851, current 0:849
<0> [419.616850]   <idle>-0       3d.s2 419596479us : __i915_request_submit: vecs0 fence df7f:2 -> global=851, current 0:850
<0> [419.616960]   <idle>-0       3d.s2 419596920us : __i915_request_submit: rcs0 fence d8e3:22 -> global=5242, current 20:5241
<0> [419.617071]   <idle>-0       3d.s2 419597940us : __i915_request_submit: vecs0 fence df82:2 -> global=853, current 0:852
<0> [419.617186] CPU:1 [LOST 630065 EVENTS]
i915_sel-3329    1.... 419600998us : i915_request_retire_upto: rcs0 fence d760:10, global=4722, current 10:5246
<0> [419.617304] i915_sel-3329    1.... 419601000us : i915_request_retire: rcs0 fence d760:10, global=4722, current 10:5246
<0> [419.617418] i915_sel-3329    1.... 419601382us : i915_request_add: bcs0 fence df89:2
<0> [419.617524] i915_sel-3329    1.... 419601384us : i915_request_add: marking (null) as active
<0> [419.617632] i915_sel-3329    1d.s2 419601405us : __i915_request_submit: bcs0 fence df89:2 -> global=857, current 0:856
<0> [419.617742] i915_sel-3329    1.... 419601445us : i915_request_add: vcs0 fence de08:4
<0> [419.617849] i915_sel-3329    1d.s2 419601467us : __i915_request_submit: vcs0 fence de08:4 -> global=857, current 2:856
<0> [419.617959] i915_sel-3329    1.... 419601484us : i915_request_retire_upto: vcs0 fence de08:2, global=639, current 2:856
<0> [419.618069] i915_sel-3329    1.... 419601485us : i915_request_retire: vcs0 fence de08:2, global=639, current 2:856
<0> [419.618178] i915_sel-3329    1.... 419601874us : i915_request_add: vecs0 fence df8a:2
<0> [419.618283] i915_sel-3329    1.... 419601876us : i915_request_add: marking (null) as active
<0> [419.618390] i915_sel-3329    1d.s2 419601920us : __i915_request_submit: vecs0 fence df8a:2 -> global=857, current 0:856
<0> [419.618499] i915_sel-3329    1.... 419601963us : i915_request_add: rcs0 fence d882:4
<0> [419.618605] i915_sel-3329    1d.s2 419601985us : __i915_request_submit: rcs0 fence d882:4 -> global=5248, current 2:5247
<0> [419.618716] i915_sel-3329    1.... 419602002us : i915_request_retire_upto: rcs0 fence d882:2, global=1246, current 2:5247
<0> [419.618826] i915_sel-3329    1.... 419602003us : i915_request_retire: rcs0 fence d882:2, global=1246, current 2:5247
<0> [419.618936] i915_sel-3329    1.... 419602366us : i915_request_add: bcs0 fence df8b:2
<0> [419.619040] i915_sel-3329    1.... 419602368us : i915_request_add: marking (null) as active
<0> [419.619146] i915_sel-3329    1d.s2 419602389us : __i915_request_submit: bcs0 fence df8b:2 -> global=858, current 0:857
<0> [419.619255] i915_sel-3329    1.... 419602770us : i915_request_add: vcs0 fence df8c:2
<0> [419.619360] i915_sel-3329    1.... 419602772us : i915_request_add: marking (null) as active
<0> [419.619467] i915_sel-3329    1d.s2 419602794us : __i915_request_submit: vcs0 fence df8c:2 -> global=858, current 0:857
<0> [419.619576] i915_sel-3329    1.... 419602831us : i915_request_add: vecs0 fence de5d:4
<0> [419.619681] i915_sel-3329    1d.s2 419602853us : __i915_request_submit: vecs0 fence de5d:4 -> global=858, current 2:857
<0> [419.619792] i915_sel-3329    1.... 419602869us : i915_request_retire_upto: vecs0 fence de5d:2, global=688, current 2:857
<0> [419.619902] i915_sel-3329    1.... 419602871us : i915_request_retire: vecs0 fence de5d:2, global=688, current 2:857
<0> [419.620010] i915_sel-3329    1.... 419602923us : i915_request_add: rcs0 fence d772:8
<0> [419.620116] i915_sel-3329    1d.s2 419602946us : __i915_request_submit: rcs0 fence d772:8 -> global=5249, current 6:5248
<0> [419.620226] i915_sel-3329    1.... 419602962us : i915_request_retire_upto: rcs0 fence d772:6, global=3519, current 6:5248
<0> [419.620336] i915_sel-3329    1.... 419602964us : i915_request_retire: rcs0 fence d772:6, global=3519, current 6:5248
<0> [419.620445] i915_sel-3329    1.... 419602989us : i915_request_add: bcs0 fence dbd7:4
<0> [419.620550] i915_sel-3329    1d.s2 419603011us : __i915_request_submit: bcs0 fence dbd7:4 -> global=859, current 2:858
<0> [419.620660] i915_sel-3329    1.... 419603026us : i915_request_retire_upto: bcs0 fence dbd7:2, global=391, current 2:858
<0> [419.620770] i915_sel-3329    1.... 419603028us : i915_request_retire: bcs0 fence dbd7:2, global=391, current 2:858
<0> [419.620879] i915_sel-3329    1.... 419603424us : i915_request_add: vcs0 fence df8d:2
<0> [419.620983] i915_sel-3329    1.... 419603426us : i915_request_add: marking (null) as active
<0> [419.621089] i915_sel-3329    1d.s2 419603448us : __i915_request_submit: vcs0 fence df8d:2 -> global=859, current 0:858
<0> [419.621199] i915_sel-3329    1.... 419603485us : i915_request_add: vecs0 fence ddfa:4
<0> [419.621304] i915_sel-3329    1d.s2 419603507us : __i915_request_submit: vecs0 fence ddfa:4 -> global=859, current 2:858
<0> [419.621414] i915_sel-3329    1.... 419603524us : i915_request_retire_upto: vecs0 fence ddfa:2, global=632, current 2:858
<0> [419.621525] i915_sel-3329    1.... 419603525us : i915_request_retire: vecs0 fence ddfa:2, global=632, current 2:858
<0> [419.621633] i915_sel-3329    1.... 419603552us : i915_request_add: rcs0 fence d85c:10
<0> [419.621739] i915_sel-3329    1d.s2 419603574us : __i915_request_submit: rcs0 fence d85c:10 -> global=5250, current 8:5249
<0> [419.621852] i915_sel-3329    1.... 419603591us : i915_request_retire_upto: rcs0 fence d85c:8, global=4477, current 8:5249
<0> [419.621962] i915_sel-3329    1.... 419603592us : i915_request_retire: rcs0 fence d85c:8, global=4477, current 8:5249
<0> [419.622071] i915_sel-3329    1.... 419603619us : i915_request_add: bcs0 fence dc6d:4
<0> [419.622176] i915_sel-3329    1d.s2 419603641us : __i915_request_submit: bcs0 fence dc6d:4 -> global=860, current 2:859
<0> [419.622286] i915_sel-3329    1.... 419603657us : i915_request_retire_upto: bcs0 fence dc6d:2, global=450, current 2:859
<0> [419.622396] i915_sel-3329    1.... 419603659us : i915_request_retire: bcs0 fence dc6d:2, global=450, current 2:859
<0> [419.622505] i915_sel-3329    1.... 419604055us : i915_request_add: vcs0 fence df8e:2
<0> [419.622609] i915_sel-3329    1.... 419604057us : i915_request_add: marking (null) as active
<0> [419.622715] i915_sel-3329    1d.s2 419604079us : __i915_request_submit: vcs0 fence df8e:2 -> global=860, current 0:859
<0> [419.622824] i915_sel-3329    1.... 419604118us : i915_request_add: vecs0 fence db98:4
<0> [419.622930] i915_sel-3329    1d.s2 419604140us : __i915_request_submit: vecs0 fence db98:4 -> global=860, current 2:859
<0> [419.623040] i915_sel-3329    1.... 419604157us : i915_request_retire_upto: vecs0 fence db98:2, global=364, current 2:859
<0> [419.623150] i915_sel-3329    1.... 419604158us : i915_request_retire: vecs0 fence db98:2, global=364, current 2:859
<0> [419.623259] i915_sel-3329    1.... 419604184us : i915_request_add: rcs0 fence d9ea:4
<0> [419.623364] i915_sel-3329    1d.s2 419604207us : __i915_request_submit: rcs0 fence d9ea:4 -> global=5251, current 2:5249
<0> [419.623475] i915_sel-3329    1.... 419604223us : i915_request_retire_upto: rcs0 fence d9ea:2, global=4528, current 2:5249
<0> [419.623589] i915_sel-3329    1.... 419604225us : i915_request_retire: rcs0 fence d9ea:2, global=4528, current 2:5249
<0> [419.623698] i915_sel-3329    1.... 419604250us : i915_request_add: bcs0 fence db6e:4
<0> [419.623806] i915_sel-3329    1d.s2 419604271us : __i915_request_submit: bcs0 fence db6e:4 -> global=861, current 2:860
<0> [419.623915] i915_sel-3329    1.... 419604288us : i915_request_retire_upto: bcs0 fence db6e:2, global=348, current 2:860
<0> [419.624025] i915_sel-3329    1.... 419604289us : i915_request_retire: bcs0 fence db6e:2, global=348, current 2:860
<0> [419.624133] i915_sel-3329    1.... 419604651us : i915_request_add: vcs0 fence df8f:2
<0> [419.624237] i915_sel-3329    1.... 419604653us : i915_request_add: marking (null) as active
<0> [419.624344] i915_sel-3329    1d.s2 419604675us : __i915_request_submit: vcs0 fence df8f:2 -> global=861, current 0:860
<0> [419.624453] i915_sel-3329    1.... 419604712us : i915_request_add: vecs0 fence da86:4
<0> [419.624559] i915_sel-3329    1d.s2 419604735us : __i915_request_submit: vecs0 fence da86:4 -> global=861, current 2:860
<0> [419.624668] i915_sel-3329    1.... 419604751us : i915_request_retire_upto: vecs0 fence da86:2, global=264, current 2:860
<0> [419.624781] i915_sel-3329    1.... 419604753us : i915_request_retire: vecs0 fence da86:2, global=264, current 2:860
<0> [419.624890] i915_sel-3329    1.... 419604779us : i915_request_add: rcs0 fence d638:14
<0> [419.624995] i915_sel-3329    1d.s2 419604801us : __i915_request_submit: rcs0 fence d638:14 -> global=5252, current 12:5251
<0> [419.625106] i915_sel-3329    1.... 419604817us : i915_request_retire_upto: rcs0 fence d638:12, global=4609, current 12:5251
<0> [419.625216] i915_sel-3329    1.... 419604819us : i915_request_retire: rcs0 fence d638:12, global=4609, current 12:5251
<0> [419.625325] i915_sel-3329    1.... 419605222us : i915_request_add: bcs0 fence df90:2
<0> [419.625430] i915_sel-3329    1.... 419605224us : i915_request_add: marking (null) as active
<0> [419.625538] i915_sel-3329    1d.s2 419605246us : __i915_request_submit: bcs0 fence df90:2 -> global=862, current 0:861
<0> [419.625647] i915_sel-3329    1.... 419605284us : i915_request_add: vcs0 fence de1a:4
<0> [419.625753] i915_sel-3329    1d.s2 419605306us : __i915_request_submit: vcs0 fence de1a:4 -> global=862, current 2:861
<0> [419.625862] i915_sel-3329    1.... 419605323us : i915_request_retire_upto: vcs0 fence de1a:2, global=648, current 2:861
<0> [419.625975] i915_sel-3329    1.... 419605324us : i915_request_retire: vcs0 fence de1a:2, global=648, current 2:861
<0> [419.626085] i915_sel-3329    1.... 419605350us : i915_request_add: vecs0 fence da5a:4
<0> [419.626191] i915_sel-3329    1d.s2 419605372us : __i915_request_submit: vecs0 fence da5a:4 -> global=862, current 2:861
<0> [419.626301] i915_sel-3329    1.... 419605389us : i915_request_retire_upto: vecs0 fence da5a:2, global=249, current 2:861
<0> [419.626411] i915_sel-3329    1.... 419605390us : i915_request_retire: vecs0 fence da5a:2, global=249, current 2:861
<0> [419.626520] i915_sel-3329    1.... 419605416us : i915_request_add: rcs0 fence d8a9:14
<0> [419.626625] i915_sel-3329    1d.s2 419605438us : __i915_request_submit: rcs0 fence d8a9:14 -> global=5253, current 12:5252
<0> [419.626735] i915_sel-3329    1.... 419605455us : i915_request_retire_upto: rcs0 fence d8a9:12, global=4866, current 12:5252
<0> [419.626846] i915_sel-3329    1.... 419605456us : i915_request_retire: rcs0 fence d8a9:12, global=4866, current 12:5252
<0> [419.626955] i915_sel-3329    1.... 419605481us : i915_request_add: bcs0 fence de0a:4
<0> [419.627061] i915_sel-3329    1d.s2 419605503us : __i915_request_submit: bcs0 fence de0a:4 -> global=863, current 2:861
<0> [419.627173] i915_sel-3329    1.... 419605519us : i915_request_retire_upto: bcs0 fence de0a:2, global=640, current 2:862
<0> [419.627283] i915_sel-3329    1.... 419605520us : i915_request_retire: bcs0 fence de0a:2, global=640, current 2:862
<0> [419.627392] i915_sel-3329    1.... 419605545us : i915_request_add: vcs0 fence df84:4
<0> [419.627498] i915_sel-3329    1.... 419605566us : i915_request_retire_upto: vcs0 fence df84:2, global=854, current 2:862
<0> [419.627608] i915_sel-3329    1.... 419605568us : i915_request_retire: vcs0 fence df84:2, global=854, current 2:862
<0> [419.627717]   <idle>-0       3d.s2 419605570us : __i915_request_submit: vcs0 fence df84:4 -> global=863, current 2:862
<0> [419.627828] i915_sel-3329    1.... 419605571us : i915_request_retire: __retire_engine_request(vcs0) fence db9d:4, global=803, current 4:862
<0> [419.627941] i915_sel-3329    1.... 419605613us : i915_request_retire: __retire_engine_request(vcs0) fence df26:2, global=804, current 2:862
<0> [419.628055] i915_sel-3329    1.... 419605616us : i915_request_retire: __retire_engine_request(vcs0) fence df28:2, global=805, current 2:862
<0> [419.628169] i915_sel-3329    1.... 419605620us : i915_request_retire: __retire_engine_request(vcs0) fence df2b:2, global=806, current 2:862
<0> [419.628282] i915_sel-3329    1.... 419605624us : i915_request_retire: __retire_engine_request(vcs0) fence dc6b:4, global=807, current 4:862
<0> [419.628394] i915_sel-3329    1.... 419605628us : i915_request_retire: __retire_engine_request(vcs0) fence df30:2, global=808, current 2:862
<0> [419.628506] i915_sel-3329    1.... 419605631us : i915_request_retire: __retire_engine_request(vcs0) fence dd9f:4, global=809, current 4:862
<0> [419.628619] i915_sel-3329    1.... 419605635us : i915_request_retire: __retire_engine_request(vcs0) fence df33:2, global=810, current 0:862
<0> [419.628732] i915_sel-3329    1.... 419605969us : i915_request_retire: __retire_engine_request:189 GEM_BUG_ON(!i915_request_completed(rq))
<0> [419.628757] ---------------------------------
<4> [419.629457] ---[ end trace 49cb41eddf75c215 ]---
Comment 1 CI Bug Log 2019-02-21 13:10:13 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* GUC: igt@i915_selftest@live_execlists - incomplete - GEM_BUG_ON(!i915_request_completed(rq))
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3814/fi-cfl-guc/igt@i915_selftest@live_execlists.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3798/fi-kbl-guc/igt@i915_selftest@live_execlists.html
Comment 2 CI Bug Log 2019-02-21 13:13:17 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

*  GUC: igt@runner@aborted - fail - Previous test: i915_selftest (.*live_execlists.*)
  - https://intel-gfx-ci.01.org/tree/drm-tip/IGTPW_2468/fi-apl-guc/igt@runner@aborted.html
Comment 3 Chris Wilson 2019-02-21 13:27:07 UTC
This is not a new bug... Where did the original report go?
Comment 4 Chris Wilson 2019-02-26 18:07:04 UTC
*** Bug 109723 has been marked as a duplicate of this bug. ***
Comment 5 Francesco Balestrieri 2019-03-22 11:23:01 UTC
This is a GuC bug
Comment 6 Francesco Balestrieri 2019-03-22 11:25:35 UTC
From ickle on IRC: "the previous request continued to be executed despite the preemption being reported as complete"
Comment 7 Chris Wilson 2019-05-06 17:30:49 UTC
*** Bug 110624 has been marked as a duplicate of this bug. ***
Comment 8 Chris Wilson 2019-05-28 11:16:46 UTC
commit a2904ade3dc28cf1a1b7deded41f4369f75e664c
Author: Michal Wajdeczko <michal.wajdeczko@intel.com>
Date:   Mon May 27 18:35:58 2019 +0000

    drm/i915/guc: Don't allow GuC submission
    
    Due to the upcoming changes to the GuC ABI interface, we must
    disable GuC submission mode until final ABI will be available
    on all GuC firmwares.
    
    To avoid regressions on systems configured to run with no longer
    supported configuration "enable_guc=3" or "enable_guc=1" clear
    GuC submission bit.
    
    v2: force switch to non-GuC submission mode
    v3: use GEM_BUG_ON (Joonas)
    
    Signed-off-by: Michal Wajdeczko <michal.wajdeczko@intel.com>
    Cc: Joonas Lahtinen <joonas.lahtinen@linux.intel.com>
    Cc: Chris Wilson <chris@chris-wilson.co.uk>
    Cc: Rodrigo Vivi <rodrigo.vivi@intel.com>
    Cc: Daniele Ceraolo Spurio <daniele.ceraolospurio@intel.com>
    Cc: John Spotswood <john.a.spotswood@intel.com>
    Cc: Vinay Belgaumkar <vinay.belgaumkar@intel.com>
    Cc: Tony Ye <tony.ye@intel.com>
    Cc: Anusha Srivatsa <anusha.srivatsa@intel.com>
    Cc: Jeff Mcgee <jeff.mcgee@intel.com>
    Cc: Antonio Argenziano <antonio.argenziano@intel.com>
    Cc: Sujaritha Sundaresan <sujaritha.sundaresan@intel.com>
    Cc: Martin Peres <martin.peres@linux.intel.com>
    Acked-by: Martin Peres <martin.peres@linux.intel.com>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Link: https://patchwork.freedesktop.org/patch/msgid/20190527183613.17076-3-michal.wajdeczko@intel.com


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.